<?php

$mobile_app_hub_tp_theme_css = '';

$mobile_app_hub_tp_color_option = get_theme_mod('mobile_app_hub_tp_color_option');

// 1st color
$mobile_app_hub_tp_color_option = get_theme_mod('mobile_app_hub_tp_color_option', '#3b4ed9');
if ($mobile_app_hub_tp_color_option) {
	$mobile_app_hub_tp_theme_css .= ':root {';
	$mobile_app_hub_tp_theme_css .= '--color-primary1: ' . esc_attr($mobile_app_hub_tp_color_option) . ';';
	$mobile_app_hub_tp_theme_css .= '}';
}

//preloader

$mobile_app_hub_tp_preloader_color1_option = get_theme_mod('mobile_app_hub_tp_preloader_color1_option');
$mobile_app_hub_tp_preloader_color2_option = get_theme_mod('mobile_app_hub_tp_preloader_color2_option');
$mobile_app_hub_tp_preloader_bg_color_option = get_theme_mod('mobile_app_hub_tp_preloader_bg_color_option');

if($mobile_app_hub_tp_preloader_color1_option != false){
$mobile_app_hub_tp_theme_css .='.center1{';
	$mobile_app_hub_tp_theme_css .='border-color: '.esc_attr($mobile_app_hub_tp_preloader_color1_option).' !important;';
$mobile_app_hub_tp_theme_css .='}';
}
if($mobile_app_hub_tp_preloader_color1_option != false){
$mobile_app_hub_tp_theme_css .='.center1 .ring::before{';
	$mobile_app_hub_tp_theme_css .='background: '.esc_attr($mobile_app_hub_tp_preloader_color1_option).' !important;';
$mobile_app_hub_tp_theme_css .='}';
}
if($mobile_app_hub_tp_preloader_color2_option != false){
$mobile_app_hub_tp_theme_css .='.center2{';
	$mobile_app_hub_tp_theme_css .='border-color: '.esc_attr($mobile_app_hub_tp_preloader_color2_option).' !important;';
$mobile_app_hub_tp_theme_css .='}';
}
if($mobile_app_hub_tp_preloader_color2_option != false){
$mobile_app_hub_tp_theme_css .='.center2 .ring::before{';
	$mobile_app_hub_tp_theme_css .='background: '.esc_attr($mobile_app_hub_tp_preloader_color2_option).' !important;';
$mobile_app_hub_tp_theme_css .='}';
}
if($mobile_app_hub_tp_preloader_bg_color_option != false){
$mobile_app_hub_tp_theme_css .='.loader{';
	$mobile_app_hub_tp_theme_css .='background: '.esc_attr($mobile_app_hub_tp_preloader_bg_color_option).';';
$mobile_app_hub_tp_theme_css .='}';
}

// footer-bg-color
$mobile_app_hub_tp_footer_bg_color_option = get_theme_mod('mobile_app_hub_tp_footer_bg_color_option');

if($mobile_app_hub_tp_footer_bg_color_option != false){
$mobile_app_hub_tp_theme_css .='#footer{';
	$mobile_app_hub_tp_theme_css .='background: '.esc_attr($mobile_app_hub_tp_footer_bg_color_option).' !important;';
$mobile_app_hub_tp_theme_css .='}';
}

// logo tagline color
$mobile_app_hub_site_tagline_color = get_theme_mod('mobile_app_hub_site_tagline_color');

if($mobile_app_hub_site_tagline_color != false){
$mobile_app_hub_tp_theme_css .='.logo h1 a, .logo p.site-title a{';
$mobile_app_hub_tp_theme_css .='color: '.esc_attr($mobile_app_hub_site_tagline_color).';';
$mobile_app_hub_tp_theme_css .='}';
}

$mobile_app_hub_logo_tagline_color = get_theme_mod('mobile_app_hub_logo_tagline_color');
if($mobile_app_hub_logo_tagline_color != false){
$mobile_app_hub_tp_theme_css .='p.site-description{';
$mobile_app_hub_tp_theme_css .='color: '.esc_attr($mobile_app_hub_logo_tagline_color).';';
$mobile_app_hub_tp_theme_css .='}';
}

// footer widget title color
$mobile_app_hub_footer_widget_title_color = get_theme_mod('mobile_app_hub_footer_widget_title_color');
if($mobile_app_hub_footer_widget_title_color != false){
$mobile_app_hub_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
$mobile_app_hub_tp_theme_css .='color: '.esc_attr($mobile_app_hub_footer_widget_title_color).';';
$mobile_app_hub_tp_theme_css .='}';
}

// copyright text color
$mobile_app_hub_footer_copyright_text_color = get_theme_mod('mobile_app_hub_footer_copyright_text_color');
if($mobile_app_hub_footer_copyright_text_color != false){
$mobile_app_hub_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$mobile_app_hub_tp_theme_css .='color: '.esc_attr($mobile_app_hub_footer_copyright_text_color).';';
$mobile_app_hub_tp_theme_css .='}';
}

// header image title color
$mobile_app_hub_header_image_title_text_color = get_theme_mod('mobile_app_hub_header_image_title_text_color');
if($mobile_app_hub_header_image_title_text_color != false){
$mobile_app_hub_tp_theme_css .='.box-text h2{';
$mobile_app_hub_tp_theme_css .='color: '.esc_attr($mobile_app_hub_header_image_title_text_color).';';
$mobile_app_hub_tp_theme_css .='}';
}

// menu color
$mobile_app_hub_menu_color = get_theme_mod('mobile_app_hub_menu_color');
if($mobile_app_hub_menu_color != false){
$mobile_app_hub_tp_theme_css .='.main-navigation a{';
$mobile_app_hub_tp_theme_css .='color: '.esc_attr($mobile_app_hub_menu_color).';';
$mobile_app_hub_tp_theme_css .='}';
}

//Footer Font Weight
$mobile_app_hub_footer_copyright_title_font_weight = get_theme_mod( 'mobile_app_hub_footer_copyright_title_font_weight','');
if($mobile_app_hub_footer_copyright_title_font_weight == '100'){
$mobile_app_hub_tp_theme_css .='#footer .site-info p {';
    $mobile_app_hub_tp_theme_css .='font-weight: 100;';
$mobile_app_hub_tp_theme_css .='}';
}else if($mobile_app_hub_footer_copyright_title_font_weight == '200'){
$mobile_app_hub_tp_theme_css .='#footer .site-info p {';
    $mobile_app_hub_tp_theme_css .='font-weight: 200;';
$mobile_app_hub_tp_theme_css .='}';
}else if($mobile_app_hub_footer_copyright_title_font_weight == '300'){
$mobile_app_hub_tp_theme_css .='#footer .site-info p {';
    $mobile_app_hub_tp_theme_css .='font-weight: 300;';
$mobile_app_hub_tp_theme_css .='}';
}else if($mobile_app_hub_footer_copyright_title_font_weight == '400'){
$mobile_app_hub_tp_theme_css .='#footer .site-info p {';
    $mobile_app_hub_tp_theme_css .='font-weight: 400;';
$mobile_app_hub_tp_theme_css .='}';
}else if($mobile_app_hub_footer_copyright_title_font_weight == '500'){
$mobile_app_hub_tp_theme_css .='#footer .site-info p {';
    $mobile_app_hub_tp_theme_css .='font-weight: 500;';
$mobile_app_hub_tp_theme_css .='}';
}else if($mobile_app_hub_footer_copyright_title_font_weight == '600'){
$mobile_app_hub_tp_theme_css .='#footer .site-info p {';
    $mobile_app_hub_tp_theme_css .='font-weight: 600;';
$mobile_app_hub_tp_theme_css .='}';
}else if($mobile_app_hub_footer_copyright_title_font_weight == '700'){
$mobile_app_hub_tp_theme_css .='#footer .site-info p {';
    $mobile_app_hub_tp_theme_css .='font-weight: 700;';
$mobile_app_hub_tp_theme_css .='}';
}else if($mobile_app_hub_footer_copyright_title_font_weight == '800'){
$mobile_app_hub_tp_theme_css .='#footer .site-info p {';
    $mobile_app_hub_tp_theme_css .='font-weight: 800;';
$mobile_app_hub_tp_theme_css .='}';
}else if($mobile_app_hub_footer_copyright_title_font_weight == '900'){
$mobile_app_hub_tp_theme_css .='#footer .site-info p {';
    $mobile_app_hub_tp_theme_css .='font-weight: 900;';
$mobile_app_hub_tp_theme_css .='}';
}